<h1 class="m-b-10" mat-dialog-title>Import Summary</h1>
<hr class="m-t-10 mat-title-line">
<div mat-dialog-content>
  <div class="kendo-table mat-elevation-z8 mappingResult-table">
    <kendo-grid *ngIf="getDisplaySection('data')"  [height]="410" [data]="gridData"  [kendoGridBinding]="" [sortable]="false" >
      <kendo-grid-column  field="id" title="" [width]="50">
          <ng-template kendoGridCellTemplate let-rowIndex="rowIndex">
              {{rowIndex + 1}}
            </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="importType" title="Imported Type" [width]="150"></kendo-grid-column>
      <kendo-grid-column field="isImported" title="Imported status" [width]="120">
        <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.isImported === true ? "Imported" : "Error"}}
        </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="error" title="Error" [width]="200"></kendo-grid-column>
      <kendo-grid-column field="viewUrl" title="Link" [width]="120">
          <ng-template kendoGridCellTemplate let-dataItem>
            <a mat-raised-button *ngIf="dataItem.viewUrl && !dataItem.isUndo" class="" [href]="dataItem.viewUrl" target="_blank">View</a>
            <div *ngIf="dataItem.isUndo"> Record is deleted from quickbook </div>
          </ng-template>
      </kendo-grid-column>
      <kendo-grid-column field="Undo" title="Action" [width]="120">
        <ng-template kendoGridCellTemplate let-dataItem>
          <a mat-raised-button *ngIf="dataItem.transactionId && !dataItem.isUndo" class="" (click)="undoImportedRecord(dataItem.id)" >Undo</a>
          <div *ngIf="dataItem.isUndo"> Record is deleted from quickbook </div>
        </ng-template>
    </kendo-grid-column>
    </kendo-grid>
    <div class= "content-loader" *ngIf="getDisplaySection('loader')" >
        <mat-spinner [diameter]="50" color="warn" class="loader"></mat-spinner>
      </div>
  </div>
</div>
<div mat-dialog-actions class="text-center m-t-30">
  <div class="mr-auto">
    <button mat-raised-button class="m-r-15 m-b-10" (click)="onNoClick()">Close</button>
  </div>
</div>
